<html>

<head>
	<meta charset="utf-8">
	<link type="text/css" rel="stylesheet" href="/style-guide/css/fluig-style-guide.min.css" />
	<link type="text/css" rel="stylesheet" href="formCurriculoFuncional.css" />
	<script type="text/javascript" src="/portal/resources/js/jquery/jquery.js"></script>
	<script type="text/javascript" src="/portal/resources/js/jquery/jquery-ui.min.js"></script>
	<script type="text/javascript" src="/portal/resources/js/mustache/mustache-min.js"></script>
	<script type="text/javascript" src="/style-guide/js/fluig-style-guide.min.js" charset="utf-8"></script>
</head>

<body class="fluig-style-guide">
	<form name="form" role="form">
		<div class="panel panel-primary" id="identificacaoTotver">
			<div class="panel-heading">
				<h3 class="panel-title tituloContainer"><span class="fluigicon fluigicon-user fluigicon-sm"></span> Identificação do Totver</h3>
			</div>
			<div class="panel-body">
				<div class="container-fluid">
					<div class="row">
						<div class="col-xs-12">
							<p>Informe os dados solicitados.</p>
							<input type="hidden" name="campoDescritor" id="campoDescritor">
						</div>
						<div class="col-md-3">
							<label for="inputNome" class="form-group labelColetarNome">Nome</label>
							<input type="text" id="inputNome" name="inputNome" class="form-control" placeholder="Nome do TOTVER" readonly>
						</div>

						<div class="form-group col-md-3">
							<label for="inputMatricula" class="form-group labelColetarNome">Nrº da Matrícula</label>
							<input type="text" name="inputMatricula" id="inputMatricula" class="form-control" placeholder="Matrícula">
						</div>

						<div class="form-group col-md-3">
							<label for="inputCargo" class="form-group labelColetarNome">Cargo</label>
							<input type="text" placeholder="Cargo" name="inputCargo" id="inputCargo" class="form-control">
						</div>

						<div class="form-group col-md-3">
							<label for="inputDRG" class="form-group labelColetarNome">DRG</label>
							<select name="inputDRG" id="inputDRG" class="form-control">
								<option value="Selecione">Selecione</option>
								<option value="Caxias do Sul">Caxias do Sul</option>
								<option value="Porto Alegre">Porto Alegre</option>
							</select>
						</div>
					</div>

					<div class="row">
						<div class="form-group col-md-3">
							<input type="hidden" name="inputData" id="inputData" class="form-control" readonly>
						</div>

						<div class="form-group col-md-3">
							<input type="hidden" name="inputAdmissao" id="inputAdmissao" value="18/03/2019" class="form-control" readonly>
						</div>

						<div class="form-group col-md-3">
							<input type="hidden" name="inputRevisao" id="inputRevisao" class="form-control" readonly>
						</div>
					</div>
					<input value="" type="hidden" name="nrSolicitacao" id="nrSolicitacao">
				</div>
			</div>
		</div>

		<div class="panel panel-primary" id="formacao">
			<div class="panel-heading">
				<h3 class="panel-title tituloContainer"><span class="fluigicon fluigicon-graduation-cap fluigicon-sm"></span> Formação</h3>
			</div>
			<div class="panel-body" id="historicoEducacaoFormal">
				<div class="container-fluid">
					<div class="row">
						<div class="col-md-12">
								<div class="row">
									<div class="col-md-12 custom-margin-bottom">
										<button id="adicionarFormacao" class="btn btn-default" name="adicionarFormacao">Adicionar Formação</button>
									</div>
								</div>
							<span>Informe seu histórico de educação formal (Graduação, Cursos de Extensão, Curso de Idiomas).</span>
							<table tablename="formacaoPaiFilho" noaddbutton="true"  class="table tablePaixFilho" id="tablePaixFilho">
								<thead>
									<tr></tr>
								</thead>
								<tbody>
									<tr>
										<td>
											<div class="row custom-row">
												<div class="col-xs-4">
													<label class="obrigatorio" for="inputCursoPaiFilho">Curso</label>
													<input class="form-control" type="text" name="inputCursoPaiFilho" id="inputCursoPaiFilho" placeholder="Curso" value="">
												</div>

												<div class="col-xs-4">
													<label class="obrigatorio" for="inputInstituicaoPaiFilho">Instituição</label>
													<input class="form-control" type="text" name="inputInstituicaoPaiFilho" id="inputInstituicaoPaiFilho" placeholder="Instituição" value="">
												</div>
												<div class="col-xs-4">
													<label class="obrigatorio" for="inputStatusPaiFilho">Status</label>
													<select class="form-control" name="inputStatusPaiFilho" id="inputStatusPaiFilho">
														<option value="">Selecione</option>
														<option value="Cursando">Cursando</option>
														<option value="Completo">Completo</option>
														<option value="Incompleto">Incompleto</option>
													</select>
												</div>
											</div>
										</td>
									</tr>
								</tbody>
							</table>
						</div>
					</div>
				</div>
			</div>
		</div>

		<div class="panel panel-primary" id="experienciaNaFuncao">
			<div class="panel-heading">
				<h3 class="panel-title tituloContainer"><span class="fluigicon fluigicon-file fluigicon-sm"></span> Experiência na Função</h3>
			</div>
			<div class="panel-body">
				<div class="container-fluid">
					<div class="row">
						<div class="col-md-12">
							<div class="row">
								<div class="col-md-12 custom-margin-bottom">
									<button id="adicionarExp" class="btn btn-default" name="adicionarExp">Adicionar Experiência</button>
								</div>
							</div>
							<span>Liste seus processos de atuação através do produto, o módulo e seu nível de experiência na função exercida.</span>
							<table tablename="experienciaNaFuncao" class="table tablePaixFilho" noaddbutton="true">
								<thead>
									<tr>
									</tr>
								</thead>
								<tbody>
									<tr>
										<td>
											<div class="row custom-row">
												<div class="col-xs-4">
													<label class="obrigatorio" for="inputProduto">Produto</label>
													<input class="form-control" type="zoom" id="inputProduto" name="inputProduto" data-zoom="{
														'displayKey':'Produto', 
														'datasetId':'dsProdutoProvisorio',
														'placeholder':'Pesquise pelo nome',
														'fields':[{ 
														'field':'Produto',
														'label':'Produto'
													}]}" />
												</div>

												<div class="col-xs-4">
													<label class="obrigatorio" for="">Módulo</label>
													<input type="zoom" class="form-control" id="inputModulo" name="inputModulo" data-zoom="{
														'displayKey':'inputModulo',
														'datasetId':'dsModuloCadastro',
														'maximumSelectionLength':'1',
														'placeholder' :'Escolha o modulo',
														'fields':[
															{
																'field':'inputModulo',
																'label':'Modulo',
																'standard':'true'
															},
															{
																'field': 'inputProduto',
																'visible': 'false'
															}
														]
													}" />
												</div>

												<div class="col-xs-4">
													<label class="obrigatorio" for="">Nível de Experiência</label>
													<select class="form-control" name="inputNivelExperiencia"
														id="inputNivelExperiencia">
														<option value="">Selecione</option>
														<option value="Júnior">Júnior</option>
														<option value="Pleno">Pleno</option>
														<option value="Sênior">Sênior</option>
													</select>
												</div>

											</div>
										</td>
									</tr>
								</tbody>
							</table>
						</div>
					</div>
				</div>
			</div>
		</div>

		<div class="panel panel-primary" id="experienciaEmProcessos">
			<div class="panel-heading">
				<h3 class="panel-title tituloContainer">
					<span class="fluigicon fluigicon-process-adhoc fluigicon-sm"></span> Experiência em Processos
				</h3>
			</div>
			<div class="panel-body">
				<div class="container-fluid">
					<div class="row">
						<div class="col-md-12">
								<div class="row">
									<div class="col-md-12 custom-margin-bottom">
										<button id="adicionarExpProcessos" class="btn btn-default" name="adicionarExp">Adicionar Experiência</button>
									</div>
								</div>
							<span>Informe os projetos que você trabalhou ao longo do seu período na TOTVS através do
								cliente e do projeto.</span>
							<table tablename="processosPaiFilho" class="table tablePaixFilho"  noaddbutton="true">
								<thead>
									<tr>
									</tr>
								</thead>
								<tbody>
									<tr>
										<td>
											<div class="row custom-row">
												<div class="col-xs-6">
													<label class="obrigatorio" for="">Cliente</label>
													<input type="zoom" class="form-control" id="inputClientePaiFilho"
														name="inputClientePaiFilho" data-zoom="{
															'displayKey':'A1_NOME',
															'datasetId':'dsGetAllClients',
															'maximumSelectionLength':'1',
															'placeholder' :'Escolha o cliente',
															'fields':[
																{
																	'field':'A1_NOME',
																	'label':'Cliente',
																	'standard':'true'
																},
																{
																	'field': 'A1_COD',
																	'visible': 'false'
																}
																]
													}" />
												</div>
												<div class="col-xs-5">
													<label class="obrigatorio" for="">Projeto</label>
													<input type="zoom" class="form-control" id="inputProjetoPaiFilho" name="inputProjetoPaiFilho" data-zoom="{
														'displayKey':'nom_projeto',
														'datasetId':'dsGetProjeto',
														'maximumSelectionLength':'1',
														'placeholder' :'Escolha o projeto',
														'fields':[
															{
																'field':'nom_projeto',
																'label':'Projeto',
																'standard':'true'
															},
															{
																'field':'nom_sims',
																'visible': 'false'
															}
														]
													}" />
												</div>
											</div>
										</td>
									</tr>
								</tbody>
							</table>
						</div>
					</div>
				</div>
			</div>
		</div>

		<div class="panel panel-primary" id="conhecimentoNasSolucoes">
			<div class="panel-heading">
				<h3 class="panel-title tituloContainer"><span class="fluigicon fluigicon-process-adhoc fluigicon-sm"></span> Conhecimento nas Soluções TOTVS</h3>
			</div>
			<div class="panel-body">
				<div class="container-fluid">
					<div class="row">
						<div class="col-md-12">
							<label for="inputConhecimentoSolucao" class="form-group subtituloContainer obrigatorio">Listar os Módulos de Atuação e Nível de Domínio</label>
							<textarea class="form-control" name="inputConhecimentoSolucao" id="inputConhecimentoSolucao" cols="10" rows="10" placeholder="Ex: Conhecimento de Parametrização, Treinamento, Análise de Específicos nos módulos supra citados."></textarea>
						</div>
					</div>
				</div>
			</div>
		</div> <!-- Get nome e data -->
		<input type="hidden" value="" id="getNomeData" name="getNomeData">
		<button id="gerarRelatorio" type="button" class="btn btn-success" style="display:none">Gerar Relatório</button>
	</form>
</body>
<script type="text/javascript" src="formCurriculoFuncional.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/2.6.1/jszip.min.js"></script>
<script src="https://fastcdn.org/FileSaver.js/1.1.20151003/FileSaver.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jszip-utils/0.0.2/jszip-utils.min.js"></script>
<script type="text/javascript" src="/webdesk/vcXMLRPC.js"></script>
<script src="doc.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/2.6.1/jszip.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/FileSaver.js/1.3.8/FileSaver.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jszip-utils/0.0.2/jszip-utils.min.js"></script>
</html>